# CommentHelper

class `praw.models.listing.mixins.subreddit.``CommentHelper`(subreddit: Subreddit)

  Provide a set of functions to interact with a subreddit’s comments.

  `__call__`(**generator_kwargs: Union[str, int, Dict[str, str]]) → Iterator[Comment]

    Return a `ListingGenerator` for the Subreddit’s comments.

    Additional keyword arguments are passed in the initialization of `ListingGenerator`.

    This method should be used in a way similar to the example below:

        for comment in reddit.subreddit("redditdev").comments(limit=25):
            print(comment.author)

  `__init__`(subreddit: Subreddit)

    Initialize a CommentHelper instance.

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.